Delete a List of User Assignments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • user_group_id number Required

    id of the user group

Query parameters

  • fields string

    extra information of each page assignment on the list

  • limit number

    maximum count of the page assignment list

  • offset number

    skip that many page assignment before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each page assignment

  • exclude string

    will exclude specified fields

application/json

Body

  • user_id number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • user_id number Required

      the deleted user id

DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users
curl \
 --request DELETE 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/user_groups/{user_group_id}/users' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "user_id": 456124
  },
  {
    "user_id": 875152
  }
]'
Request example
[
  {
    "user_id": 456124
  },
  {
    "user_id": 875152
  }
]
Response examples (200)
[
  {
    "user_id": 456124
  },
  {
    "user_id": 875152
  }
]